Skip to main content
PATCH
Update a catalog record

Authorizations

Authorization
string
header
required

An org API key: Authorization: Bearer oak_….

Path Parameters

catalog_id
string
required
record_id
string
required

Body

application/json
external_id
string | null

Your own id for the record, unique in its catalog and case-sensitive.

Required string length: 1 - 255
name
string | null
Required string length: 1 - 200
avatar_key
string | null
properties
Properties · object | null

Response

Successful Response

id
string
required
catalog_id
string
required
external_id
string | null
required
name
string
required
has_variants
boolean
required
avatar_url
string | null
required
avatar_thumbnail_url
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
properties
Properties · object